Buchungen›Auftragsanfrage anlegen (Business-Akteur)
Auftragsanfrage anlegen (Business-Akteur)
Books a field-service job — the work order that enters the dispatch & scheduling pipeline. Send the customer's UUID plus requested `job_dates` (date + morning/afternoon/evening periods, ideally offered from GET /job-requests/booking-windows), optional `job_type_id` (service catalog), `skill_ids` (required technician qualifications) and a free-text description. Quoting, technician/crew assignment and completion then advance the work order through the business's workflow.
Argumente
X-Timezonestringheaderoptional
IANA-Zeitzone des Kunden
customer_idstringbodyerforderlich
UUID eines bestehenden Kunden dieses Unternehmens, für den der Auftrag gebucht wird. Erforderlich.
descriptionstringbodyoptional
Freitextbeschreibung der angefragten Arbeit. Optional; max. 2000 Zeichen.
▾job_datesarray<object>bodyerforderlich
Gewünschte(s) Datum/Daten und Zeitfenster, an denen der Kunde den Auftrag wünscht. Mindestens eines, bis zu 12.
job_type_idstringbodyoptional
UUID des Auftragstyps zur Klassifizierung dieses Auftrags. Optional; null lässt den Auftrag unklassifiziert.
skill_idsarray<string>bodyoptional
UUIDs der Fähigkeiten, die der Kunde für diesen Auftrag wünscht. Optional; bis zu 20.
POST/v1/job-requests
curl -X POST "https://api.crisphive.com/v1/job-requests" \ -H "Authorization: Bearer chsk_test_4eC8xQ9mZ2pL7Ka0rT" \ -H "Content-Type: application/json" \ -d '{ "customer_id": "9b2f6c3e-1a4d-4f0a-8f2e-7c5d1b3a9e01", "description": "Please call on arrival.", "job_dates": [ { "date": "2026-07-02T09:30:00Z", "periods": [ { "business_view": [], "period": "morning" } ] } ], "job_type_id": "9b2f6c3e-1a4d-4f0a-8f2e-7c5d1b3a9e01", "skill_ids": [ "9b2f6c3e-1a4d-4f0a-8f2e-7c5d1b3a9e01" ] }'
Anfragetext
{
"customer_id": ,
"description": ,
"job_dates": [
{
"date": ,
"periods": [
{
"business_view": [
],
"period":
}
]
}
],
"job_type_id": ,
"skill_ids": [
]
}
Bearer